Skip to main content
GET
/
v1
/
entities
/
{entityTypeName}
/
{entityId}
/
access_grants
List Entity Access Grants
curl --request GET \
  --url https://api.us.lexful.app/v1/entities/{entityTypeName}/{entityId}/access_grants \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Account-ID: <api-key>'
{
  "items": [
    {
      "id": "019983a9-c4c0-73af-aec9-463feeadc2e7",
      "subject_type": "user",
      "subject_name": "John Doe",
      "granted_by": "019983a9-c4c2-8bcd-ef12-34567890abcd",
      "granted_at": "2024-01-15T10:30:00.000Z"
    },
    {
      "id": "019983a9-c4c1-7abc-def0-123456789abc",
      "subject_type": "group",
      "subject_name": "Engineering Team",
      "granted_by": "019983a9-c4c2-8bcd-ef12-34567890abcd",
      "granted_at": "2024-01-15T10:30:00.000Z"
    }
  ],
  "total": 2
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

entityTypeName
string
required

Entity type name

entityId
string<uuid>
required

Entity ID

Query Parameters

expand
string

Comma-separated list of fields to expand (e.g., "subject_name")

Response

Default Response

items
object[]
required

Array of access grants (users and groups)

total
number
required

Total number of access grants